dnsjit.core.object.udp(3)

NAME
dnsjit.core.object.udp - A UDP datagram header

DESCRIPTION
A UDP datagram header. The data itself is in the dnsjit.core.object.payload object, which is the next object in the chain after parsing with, for example, dnsjit.filter.layer.

  Attributes

sport
    Source port.

dport
    Destination port.

ulen
    UDP length (as described in the UDP header).

sum Checksum.

  Functions

Udp:type()
    Return the textual type of the object.

Udp:prev()
    Return the previous object.

Udp:cast()
    Cast the object to the underlining object module and return it.

Udp:uncast()
    Cast the object to the generic object module and return it.

Udp:copy()
    Make a copy of the object and return it.

Udp:free()
    Free the object, should only be used on copies or otherwise allocated.

SEE ALSO
dnsjit.core.object(3), dnsjit.core.object.payload(3), dnsjit.filter.layer(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net